package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.bopcfa.vo.CfaSelResultVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author yangxd
 * @version 1.0
 * @description: 用于cfa查询
 * @data 2023/7/18 10:15
 */
@Mapper
public interface CfaSelMapper {

    List<CfaSelResultVo> dyncRead(Map<String,Object> dyncMap);
    List<CfaSelResultVo> queryCfasels(Map<String,Object> dyncMap);

    //资本报送维护交易二期补充

    /**
     * 海外代付查询
     * @param dyncMap 查询条件
     * @return
     */
    List<CfaSelResultVo> queryEadlist(Map<String,Object> dyncMap);

    /**
     * 远期信用证查询
     * @param dyncMap 查询条件
     * @return
     */
    List<CfaSelResultVo> queryEaflist(Map<String,Object> dyncMap);

    /**
     * 国内外汇贷款查询
     * @param dyncMap 查询条件
     * @return
     */
    List<CfaSelResultVo> queryEcalist(Map<String,Object> dyncMap);
}
